<?php

namespace App\Http\Requests\Reciption;

use Illuminate\Foundation\Http\FormRequest;

class StoreOrderRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {

        if($this->user()->getRole() === 'rec')
        return true;
         return false;
    }


    public function rules()
    {
        if(in_array($this->method(), ['POST'])){
            return [
                'name' => 'required',
                'phone' => 'required',
//                'serial' => 'required',
                'brand' => 'required',
                'device_type' => 'required|in:1,2,3',
                'proccess_type' => 'required|in:1,2,3,4,5',
                'priority' => 'required'
            ];
        } elseif(in_array($this->method(), ['PUT']))
        return [
            'name' => 'required',
            'phone' => 'required',
//            'serial' => 'required',
            'device_type' => 'required|in:1, 2, 3',
            'proccess_type' => 'required|in:1,2,3,4,5',
            'priority' => 'required'
        ];
        else return [];
    }
    public function messages()
    {
        return [
          'name.required' => 'إسم الزبون مطلوب',
            'phone.required' => 'رقم هاتف الزبون مطلوب',
//            'serial.required' => 'رقم معرف الجهاز مطلوب',
            'brand.required' => 'ماركة الجهاز مطلوبة',
            'device_type.required' => 'نوع الجهاز مطلوب',
            'proccess_type.required' => 'يجب تحديد موظف الصيانة المسؤول',
            'priority.required' => 'يرجى إختيار الأهمية'

        ];
    }
}
